chess_logic 1.0.2

  • Readme
  • Changelog
  • Installing
  • 57

A simple package to handle chess moves that will be used in my future project: a multiplayer chess web app.

1.0.2 #

  • Fix an issue with ForsythNotation.startingBoard

1.0.1 #

  • Add class ChessBoard
  • Add class ChessPosition
  • Add class Chessman
  • Add utility classes in chess_notation.dart
  • Unit testing

1.0.0 #

  • Initial commit

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  chess_logic: ^1.0.2

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter pub get

Alternatively, your editor might support pub get or flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:chess_logic/chess_logic.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
26
Health:
Code health derived from static analysis. [more]
99
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
70
Overall:
Weighted score of the above. [more]
57
Learn more about scoring.

We analyzed this package on Nov 7, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.6.0
  • pana: 0.12.21

Platforms

Detected platforms: Flutter, web, other

No platform restriction found in primary library package:chess_logic/chess_logic.dart.

Health suggestions

Fix lib/src/chess_notation.dart. (-1 points)

Analysis of lib/src/chess_notation.dart reported 2 hints:

line 154 col 7: DO use curly braces for all flow control structures.

line 163 col 9: Use isNotEmpty instead of length

Fix lib/src/chessman.dart. (-0.50 points)

Analysis of lib/src/chessman.dart reported 1 hint:

line 3 col 8: Unused import: 'move.dart'.

Format lib/chess_logic.dart.

Run dartfmt to format lib/chess_logic.dart.

Fix additional 3 files with analysis or formatting issues.

Additional issues in the following files:

  • lib/src/chess_board.dart (Run dartfmt to format lib/src/chess_board.dart.)
  • lib/src/chess_position.dart (Run dartfmt to format lib/src/chess_position.dart.)
  • lib/src/move.dart (Run dartfmt to format lib/src/move.dart.)

Maintenance issues and suggestions

Homepage URL doesn't exist. (-20 points)

At the time of the analysis the homepage field https://github.com/UMR1352/chess was unreachable.

Maintain an example. (-10 points)

Create a short demo in the example/ directory to show how to use this package.

Common filename patterns include main.dart, example.dart, and chess_logic.dart. Packages with multiple examples should provide example/README.md.

For more information see the pub package layout conventions.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
termilary ^0.2.0 0.2.2
utilary ^1.0.0 1.0.9
Dev dependencies
pedantic ^1.0.0
test ^1.0.0